Author Topic: Problems on Arch Linux  (Read 9117 times)

Orim

  • Newbie
  • *
  • Posts: 4
    • View Profile
Problems on Arch Linux
« on: January 05, 2010, 00:00:26 »
Hi there.

I recently switched from Gentoo to Arch and now have a bunch of problems with gmb 1.0.2.

If I install perl-gtk2-trayicon-0.06-3 to get the trayicon I get the following errors when starting gmb:

Can't load '/usr/lib/perl5/vendor_perl/auto/Gtk2/TrayIcon/TrayIcon.so' for module Gtk2::TrayIcon: /usr/lib/perl5/vendor_perl/auto/Gtk2/TrayIcon/TrayIcon.so: wrong ELF class: ELFCLASS32 at /usr/lib/perl5/core_perl/DynaLoader.pm line 200.
 at /usr/bin/gmusicbrowser line 121
Compilation failed in require at /usr/bin/gmusicbrowser line 121.
BEGIN failed--compilation aborted at /usr/bin/gmusicbrowser line 123.

Do I need a newer or older version of perl-gtk2-trayicon ?


The only Audio player I can choose is mplayer. I want to use gstreamer if possible and I've
installed the gstreamer good, base, bad and ugly packages but gmb can't find it as the option to use gstreamer is greyed out. Other gstreamer players like totem work without any problems. Any suggestions?

I really like gmb so it would be great if I could use it on my new system as well.
Thank you.

Quentin Sculo

  • Administrator
  • Hero Member
  • *****
  • Posts: 1082
    • View Profile
Re: Problems on Arch Linux
« Reply #1 on: January 05, 2010, 00:58:11 »
Can't load '/usr/lib/perl5/vendor_perl/auto/Gtk2/TrayIcon/TrayIcon.so' for module Gtk2::TrayIcon: /usr/lib/perl5/vendor_perl/auto/Gtk2/TrayIcon/TrayIcon.so: wrong ELF class: ELFCLASS32 at /usr/lib/perl5/core_perl/DynaLoader.pm line 200.
It seems your perl-gtk2-trayicon has been compiled in 32-bits and not 64-bits like your other libraries.

I want to use gstreamer if possible and I've installed the gstreamer good, base, bad and ugly packages but gmb can't find it as the option to use gstreamer is greyed out. Other gstreamer players like totem work without any problems. Any suggestions?
You must be missing the gstreamer perl bindings, the package is probably named perl-gstreamer

Orim

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: Problems on Arch Linux
« Reply #2 on: January 05, 2010, 01:32:49 »
Thanks four your quick reply.

It seems your perl-gtk2-trayicon has been compiled in 32-bits and not 64-bits like your other libraries.

Uh, somehting like that shouldn't happen. I will have to ask around, thanks.


You must be missing the gstreamer perl bindings, the package is probably named perl-gstreamer

There actually is a package named perl-gstreamer, but it is already installed and re-installing hasn't done anything, too.

Quentin Sculo

  • Administrator
  • Hero Member
  • *****
  • Posts: 1082
    • View Profile
Re: Problems on Arch Linux
« Reply #3 on: January 05, 2010, 01:43:44 »
If gstreamer is grayed-out, there should be a message on the terminal explaining why.

Orim

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: Problems on Arch Linux
« Reply #4 on: January 05, 2010, 01:55:45 »
Here is all the output when gmb is started and perl-gtk2-trayicon is not installed:

Locale::gettext not found -> no translations
Gtk2::TrayIcon not found -> tray icon won't be available
Error loading Net::DBus :
Can't load '/usr/lib/perl5/vendor_perl/auto/Net/DBus/DBus.so' for module Net::DBus: /usr/lib/perl5/vendor_perl/auto/Net/DBus/DBus.so: wrong ELF class: ELFCLASS32 at /usr/lib/perl5/core_perl/XSLoader.pm line 70.
 at /usr/lib/perl5/vendor_perl/Net/DBus.pm line 92
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Net/DBus.pm line 93.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Net/DBus/Binding/Iterator.pm line 73.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Net/DBus/Binding/Iterator.pm line 73.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Net/DBus/Binding/Message.pm line 148.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Net/DBus/Binding/Message.pm line 148.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Net/DBus/Binding/Introspector.pm line 59.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Net/DBus/Binding/Introspector.pm line 59.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Net/DBus/Exporter.pm line 245.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Net/DBus/Exporter.pm line 245.
Compilation failed in require at /usr/lib/perl5/vendor_perl/Net/DBus/Object.pm line 129.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/Net/DBus/Object.pm line 129.
Compilation failed in require at (eval 26) line 3.
   ...propagated at /usr/share/perl5/core_perl/base.pm line 94.
BEGIN failed--compilation aborted at /usr/bin/../share/gmusicbrowser/gmusicbrowser_dbus.pm line 13.
Compilation failed in require at /usr/bin/gmusicbrowser line 261.
 => controling gmusicbrowser through DBus won't be possible.

Can't load '/usr/lib/perl5/vendor_perl/auto/GStreamer/GStreamer.so' for module GStreamer: /usr/lib/perl5/vendor_perl/auto/GStreamer/GStreamer.so: wrong ELF class: ELFCLASS32 at /usr/lib/perl5/core_perl/DynaLoader.pm line 200.
 at /usr/bin/../share/gmusicbrowser/gmusicbrowser_gstreamer-0.10.pm line 54
Compilation failed in require at /usr/bin/../share/gmusicbrowser/gmusicbrowser_gstreamer-0.10.pm line 54.
 -> gstreamer output won't be available.
mpg321 not found => mp3 files won't be played through the 123 output.
flac123 or ogg123 not found => flac files won't be played through the 123 output.
ogg123 not found => ogg files won't be played through the 123 output.
Reading saved tags in /home/orim/.config/gmusicbrowser/tags ...
Reading saved tags in /home/orim/.config/gmusicbrowser/tags ... done
plugin /usr/bin/../share/gmusicbrowser/plugins/gnome_mmkeys.pm failed : Attempt to reload Net/DBus.pm aborted.
Compilation failed in require at /usr/bin/../share/gmusicbrowser/plugins/gnome_mmkeys.pm line 18.
BEGIN failed--compilation aborted at /usr/bin/../share/gmusicbrowser/plugins/gnome_mmkeys.pm line 18.


It looks like all libraries gmb wants to access are compiled in 32bits. Maybe there is something wrong with my perl installation or with perl on arch in general? I only need perl for gmb (so far).
I haven't installed mpg321, flac or ogg, so this is ok.

Quentin Sculo

  • Administrator
  • Hero Member
  • *****
  • Posts: 1082
    • View Profile
Re: Problems on Arch Linux
« Reply #5 on: January 05, 2010, 02:07:06 »
It looks like all libraries gmb wants to access are compiled in 32bits. Maybe there is something wrong with my perl installation or with perl on arch in general? I only need perl for gmb (so far).
I haven't installed mpg321, flac or ogg, so this is ok.
Yes something is wrong with your installation, note that some perl modules load correctly (gtk2) else gmb would run at all.
I doubt it's a problem with perl on arch in general as I know people are using gmb on archlinux.

I can't help you to fix your installation, you should ask on the arch forum.

Orim

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: Problems on Arch Linux
« Reply #6 on: January 05, 2010, 03:12:09 »
I can't help you to fix your installation, you should ask on the arch forum.

Of course not and thanks for your help. My first problem with arch, yay for me ;)